Bug 1311855 - Warning / error overlays not shown on spoke icons
Warning / error overlays not shown on spoke icons
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
25
x86_64 All
unspecified Severity low
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 03:35 EST by Adam Williamson
Modified: 2016-07-26 01:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2016-02-25 03:35:07 EST
In current Rawhide installer images, it seems like the 'warning' / 'error' overlays that are supposed to appear on the icons for spokes that require action or hit an error condition don't appear.

This broke all the Rawhide openQA tests today, because one of our matches is on the 'root password' spoke on the during-install hub (it expects to see the orange triangle indicating the root password needs to be set). See e.g.:

https://openqa.fedoraproject.org/tests/5895/modules/_do_install_and_reboot/steps/4

note the triangle is missing from the root password spoke icon.

This was OK with the 2016-02-22 nightly:

https://openqa.fedoraproject.org/tests/overview?distri=fedora&version=Rawhide&build=Rawhide__20160222&groupid=1

we've switched from Pungi 3 to Pungi 4 since then, I don't *think* that's relevant but it could be somehow, I guess.
Comment 1 Adam Williamson 2016-02-25 03:41:47 EST
GTK+ 3.19.10 landed between 02-22 and 02-25, so that's the obvious candidate here.
Comment 2 David Shea 2016-02-25 17:00:10 EST
Do you have the logs from the compose that made that iso? It looks like the problem is that the emblems we're trying to add are SVG, and /usr/lib64/gdk-pixbuf-2.0/2.0.10/loaders/libpixbufloader-svg.so is not there. That's mighty strange, since that file is provided by librsvg2 which was last built on 4 Feb, for the mass rebuild.
Comment 3 Adam Williamson 2016-02-25 18:56:12 EST
ah, so it may be compose-related indeed. As it's a shiny Pungi 4 compose, the logs are all there along with the compose:

https://kojipkgs.fedoraproject.org/compose/branched/Fedora-24-20160224.n.0/logs/

I do see 'librsvg2' being installed in https://kojipkgs.fedoraproject.org/compose/branched/Fedora-24-20160224.n.0/logs/x86_64/buildinstall-Everything.x86_64.log and https://kojipkgs.fedoraproject.org/compose/branched/Fedora-24-20160224.n.0/logs/x86_64/buildinstall-Server.x86_64.log .

is "/usr/lib64/gdk-pixbuf-2.0/2.0.10/loaders/libpixbufloader-svg.so" just a typo in your comment? Because it's 2.10.0, not 2.0.10.
Comment 5 Adam Williamson 2016-02-25 18:59:08 EST
Goddamn it, I really stink at this. openQA ran on 20160225, not 20160224. And indeed, in the 20160225 logs, librsvg2 is missing for some reason:

running runtime-install.tmpl
2016-02-25 02:54:05,374: installpkg librsvg2 failed: no package matched
installpkg librsvg2 failed: no package matched

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20160225.n.0/logs/x86_64/buildinstall-Everything.x86_64.log

indeed, it's listed in the compose 'changelog' as "dropped":

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20160225.n.0/logs/changelog-Fedora-Rawhide-20160225.n.0.brief

perhaps it got orphaned? Let me take a look into it.
Comment 6 Adam Williamson 2016-02-25 19:08:14 EST
<adamw> dgilmore: librsvg2 was "dropped" from rawhide, according to that
 which breaks anaconda a bit
<adamw> it doesn't appear to be a dead package, i don't see an orphan notification for it..
<nirik> it wasn't in the f25 tag
<nirik> until we fixed it
<adamw> so should be fixed in next compose?
<nirik> hopefully yes
<adamw> ok, thanks
Comment 7 Jan Kurik 2016-07-26 01:11:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.